  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IDM_RPT_CFG"."IDMRPT_CORR_RES_ASSIGNMENT_V" ("EVENT_ID", "EVENT_NAME", "BASE_MESSAGE", "EVENT_DATETIME", "SOURCE_USER_NAME", "DESTINATION_USER_NAME", "FILENAME", "RV36", "RV43", "EXTENDED_INFO", "INIT_USER_ID", "AGENT", "TARGET_USER_DOMAIN", "ACTING_IDENTITY", "CORRELATION_ID", "RESOURCE_MSG") AS 
  SELECT 
    sentinel_events.id event_id,
    sentinel_events.evt event_name,
    sentinel_events.msg base_message,
    sentinel_events.dt event_datetime,
    sentinel_events.sun source_user_name,
    sentinel_events.dun destination_user_name,
    sentinel_events.fn filename,
    sentinel_events.rv36,
    sentinel_events.rv43,
    sentinel_events.ei extended_info,
    sentinel_events.iuid init_user_id,
    sentinel_events.agent,
    sentinel_events.rv45 target_user_domain,
    COALESCE(sentinel_events.iuid, sentinel_events.sun) acting_identity,
    CASE 
    WHEN INSTR(sentinel_events.msg, 'Correlation ID: ') != 0 
    THEN SUBSTR(SUBSTR(sentinel_events.msg, INSTR(sentinel_events.msg, 'Correlation ID: ')), 17) 
    END correlation_id,
    SUBSTR(SUBSTR(sentinel_events.msg, INSTR(sentinel_events.msg, ';',1,2)+2, INSTR(sentinel_events.msg, ';',1,3)- INSTR(sentinel_events.msg, ';',1,2)-1), INSTR(SUBSTR(sentinel_events.msg, INSTR(sentinel_events.msg, ';',1,2)+2, INSTR(sentinel_events.msg, ';',1,3)- INSTR(sentinel_events.msg, ';',1,2)-1), ':')+1)
    resource_msg
   FROM idm_rpt_data.sentinel_events;

GRANT SELECT ON idm_rpt_cfg.IDMRPT_CORR_RES_ASSIGNMENT_V  TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM IDMRPT_CORR_RES_ASSIGNMENT_V for IDM_RPT_CFG.IDMRPT_CORR_RES_ASSIGNMENT_V;  